LucasForums

LucasForums (http://www.lucasforums.com/index.php)
-   Jedi Knight / MotS (http://www.lucasforums.com/forumdisplay.php?f=38)
-   -   JK unoffical patch broke Jedi Knight T_T (http://www.lucasforums.com/showthread.php?t=177230)

N4p4lm 04-03-2007 05:33 PM

JK unoffical patch broke Jedi Knight T_T
 
I decided that I was going to get JKE, so I download 1.01 to 1.0, run it, download JKE, run it, and I get a warning window that says "JK.exe is not a valid Win32 application." Is there any way to fix this? Or should I just backup my saves folder and re-install?

JKLE_Cougar 04-03-2007 07:07 PM

check the forum on the JKE project there is a way to fix that

or just run the GOB file through patch commander

N4p4lm 04-04-2007 08:10 AM

The problem I'm having is similar, instead of having messed up textures however, JK doesn't run anymore. T_T

JKLE_Cougar 04-04-2007 03:11 PM

Ok try this

1. reinstall JK
2. dont install the 1.01 patch
3. install the unoffical patch to increase texture limit
4. install Patch Commander if you dont have it
5. run JKE.gob through Patch Commander then see if that works

If you need patch commander give me your e-mail and ill send it to you :)

Kurgan 04-05-2007 11:03 PM

http://www.jkhub.net

That's where the "revert" patch is (not everybody knows about JKE!).

N4p4lm 04-06-2007 03:43 PM

K, as of now neither JKE or the unnoficial patch don't make it un-runnable, in fact they do seemingly nothing. JKE does absolutely nothing to it for me. I'm'a get patch commander see if it helps at all.

Gargoyle King 04-07-2007 03:11 PM

Quote:

Originally Posted by N4p4lm
I decided that I was going to get JKE, so I download 1.01 to 1.0, run it, download JKE, run it, and I get a warning window that says "JK.exe is not a valid Win32 application." Is there any way to fix this? Or should I just backup my saves folder and re-install?

Unofficial Patches always have to be taken with caution.

JKLE_Cougar 04-07-2007 04:34 PM

All the unoffical patch does is change the texture limit to higher resolutions

ZeqMacaw 04-08-2007 11:09 AM

As the current developer of the JK Unofficial Patch (JKUP), site admin of JKHub, and helper with Jedi Knight Enhanced (JKE), I find this thread full of misinformation.

The window that shows "JK.exe is not a valid Win32 application" only comes up if the JKUP was installed incorrectly. It does not verify which version of the exe before applying the patch; it blindly applies the changes. The zip contains the proper instructions in a txt file for installing the patch. The most important step is making sure that one starts with LEC's v1.00 of the jk.exe before applying the reversion (v1.01 to v1.00) patch or any of the JKUPs. If the exe is "messed up" by JKUP, then fix it just by copying the jk.exe file from the cd back to the hard drive (and make sure it is not set as read-only). If anyone has any trouble with installing a JKUP, he should post in the JKUP project on the Hub, where I (and others) will see the post sooner than anywhere else. By the way, the latest JKUP does much more than change the limit for texture resolutions. Again, see the txt file included in the zip for full details.

Just to clarify: JKE, JKUP, and Patch Commander (JKPC) are completely separate programs. JKE is a JK mod, which requires running JK with a command line param (-path modFolder). Many people have used the slow JKPC for handling mods, but I prefer to use the faster and currently worked-on JKLauncher (which I am also developing). JKE requires the latest JKUP so that certain textures will show up correctly; JKE can run without JKUP without any other problems.

:)


All times are GMT -4. The time now is 10:41 PM.

Powered by vBulletin®
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
LFNetwork, LLC ©2002-2011 - All rights reserved.